FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000781FL54. Element, Byte, Record or other APIpublic2016-02-04 16:242016-02-11 15:31
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.10 
Target Version5.1.11Fixed in Version5.1.11 
Summary0000781: Support individual conversion of element data on byte and record interface
DescriptionTo use the format.element() on the record interface with Cobol a decimal string representing a number or float must be converted to a valid picture reprasentation of a Cobol datatype to work with.

Also string must be collapsed and other kind of conversions are useful.

Add new functions for read and write, which accepts a conversion string.

fcbreadx("type.string(colaps)",ptr,-1,0,pfFil) == FCBLOCX

The X stands for ecxtented and a addtional conversion string must be provided.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000946)
Falk Reichbott (administrator)
2016-02-05 08:38

To add the conversion string to each fcbread/write or FCRPUT/GET/LOC to open, run and close the converter for one element is inperformant.

We will add 2 new functions to open and close a converter. And the corresponding handle must be given to the corresponding fcbreadx/writex or FCRGETX/LOCX/PUTX functions like i the sample below.

cnv=fcbopcnv();
fcbreadx(ptr,-1,0,fil,cnv)
...
fcbreadx(ptr,-1,0,fil,cnv)
fcbclscnv(cnv);
(0000947)
Falk Reichbott (administrator)
2016-02-11 15:31

Add new function to FLUC byte (fcbopenv, fcbclosev, fcbreadv, fcbwritev) and record interface (FCROPNV, FCRCLSV, FCRGETV, FCRLOCV, FCRPUTV) which provides/acceptes a new element data conversion handle.

With this conversion handel you can overwrite if format.element() the default conversion module to read from or write neutral FLAM5 element data types in a specific representation to the application memory.

This can be used to collapse strings or to read a XML element containing a number as 64 bit integer value.

- Issue History
Date Modified Username Field Change
2016-02-04 16:24 Falk Reichbott New Issue
2016-02-04 16:24 Falk Reichbott Status new => assigned
2016-02-04 16:24 Falk Reichbott Assigned To => Falk Reichbott
2016-02-05 08:30 Falk Reichbott Description Updated View Revisions
2016-02-05 08:38 Falk Reichbott Note Added: 0000946
2016-02-11 15:31 Falk Reichbott Note Added: 0000947
2016-02-11 15:31 Falk Reichbott Status assigned => resolved
2016-02-11 15:31 Falk Reichbott Fixed in Version => 5.1.11
2016-02-11 15:31 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker